﻿'This program demos the use of a lisbox 
'How to add items one at a time 
'How to add items in a loop
'How to clear

Public Class FrmListBoxDemo

    '***********************************************************************************
    'Add the item from the TextBox to the To-Do list 
    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        'see if the TextBox has something in it
        If txtItem.Text <> "" Then
            lstToDo.Items.Add(txtItem.Text)
        Else
            MsgBox("Please enter a task.")
        End If

        txtItem.Clear()     'clear out previous item from TextBox
        txtItem.Focus()     'place cursor back in TextBox so user is ready for next entry

    End Sub

    '*********************************************************************************
    'clear out the ListBox and the textBox
    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        lstToDo.Items.Clear()
        txtItem.Clear()
    End Sub

    '*********************************************************************************
    'Add items (in this case just numbers) to the ListBox in a loop
    Private Sub btnAddNumbersToList_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAddNumbersToList.Click
        Dim i As Integer

        For i = 1 To 100
            lstToDo.Items.Add(i)
        Next
    End Sub
End Class
